Package io.dapr.client.domain

# Class QueryStateResponse<T>

java.lang.Object
io.dapr.client.domain.QueryStateResponse<T>

public class QueryStateResponse<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`QueryStateResponse(List<QueryStateItem<T>> results, String token)`

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getMetadata()`
`List<QueryStateItem<T>>`
`getResults()`
`String`
`getToken()`
`QueryStateResponse<T>`
`setMetadata(Map<String,String> metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryStateResponse

public QueryStateResponse(List<QueryStateItem<T>> results, String token)

## Method Details

### getResults

public List<QueryStateItem<T>> getResults()

### getToken

public String getToken()

### getMetadata

public Map<String,String> getMetadata()

### setMetadata

public QueryStateResponse<T> setMetadata(Map<String,String> metadata)